org.eclipse.wst.jsdt.chromium.debug.core.model

## Class VmResourceIdMap<T>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.VmResourceIdMap<T>

    public class VmResourceIdMap<T>
    extends java.lang.Object

Dual-key map that works with `VmResourceId`. Both script name and script id are used as keys. No conflicts are really expected -- only guard runtime exceptions are provided.

### Constructor Summary

Constructors
Constructor and Description
`VmResourceIdMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`T` `get(VmResourceId resourceId)`
`T` `getByName(java.lang.String scriptName)`
`void` `put(VmResourceId resourceId, T data)`
`void` `remove(VmResourceId resourceId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VmResourceIdMap

    public VmResourceIdMap()

### Method Detail

#### get

    public T get(VmResourceId resourceId)

#### getByName

    public T getByName(java.lang.String scriptName)

#### put

    public void put(VmResourceId resourceId,
                    T data)

#### remove

    public void remove(VmResourceId resourceId)

#### clear

    public void clear()